- [HTTP request](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.BatchClearValuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#body.aspect)
- [Try it!](https://developers.google.com/workspace/sheets/api/reference/rest/v4/spreadsheets.values/batchClear#try-it)

Clears one or more ranges of values from a spreadsheet. The caller must specify the spreadsheet ID and one or more ranges. Only values are cleared -- all other properties of the cell (such as formatting and data validation) are kept.

### HTTP request

`POST https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}/values:batchClear`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `spreadsheetId` | `string` The ID of the spreadsheet to update. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "ranges": [ string ] } ``` |

| Fields ||
|---|---|
| `ranges[]` | `string` The ranges to clear, in [A1 notation or R1C1 notation](https://developers.google.com/workspace/sheets/api/guides/concepts#cell). |

### Response body

The response when clearing a range of values in a spreadsheet.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "spreadsheetId": string, "clearedRanges": [ string ] } ``` |

| Fields ||
|---|---|
| `spreadsheetId` | `string` The spreadsheet the updates were applied to. |
| `clearedRanges[]` | `string` The ranges that were cleared, in A1 notation. If the requests are for an unbounded range or a range larger than the bounds of the sheet, this is the actual ranges that were cleared, bounded to the sheet's limits. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `https://www.googleapis.com/auth/drive.file`
- `https://www.googleapis.com/auth/spreadsheets`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).